Get a shared resource and its attachments
GET
/api/v3/organizations/{organisation}/resources/{resource}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/test-org/resources/res-abc123';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/test-org/resources/res-abc123 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Example
test-orgresource
required
string
The resource ID
Example
res-abc123Responses
Section titled “Responses”The resource
Media typeapplication/json
Shared resource
object
orgName
string
resourceId
string
type
string
name
string
status
string
scope
Org for resources managed by these endpoints. app rows are compatibility records for an application-managed cache and cannot be mutated here.
string
config
Type-specific settings, such as dataStorageMaxGb for a cache
object
physical
Provisioned detail: bucket and region for object storage, cache identifier and endpoint for a cache
object
createdAt
string format: date-time
Example
{ "orgName": "test-org", "resourceId": "os-buzz-media", "type": "object-storage", "name": "buzz-media", "status": "provisioning", "scope": "org"}Resource not found
